Debian-Sicherheitsankündigung

DSA-966-1 adzapper -- Diensteverweigerung

Datum des Berichts:
09. Feb 2006
Betroffene Pakete:
adzapper
Verwundbar:
Ja
Sicherheitsdatenbanken-Referenzen:
In der Debian-Fehlerdatenbank: Fehler 350308.
In Mitres CVE-Verzeichnis: CVE-2006-0046.
Weitere Informationen:

Thomas Reifferscheid entdeckte, dass Adzapper unverhältnismäßig viel Rechenzeit verbrauchen und dadurch zu einer Diensteverweigerung (denial of service) auf dem Proxyrechner führen kann. Adzapper ist ein Zusatzmodul zur Unterdrückung von Proxy-Werbe-Popups, das mit Squid, dem Internet-Objekt-Cache, betrieben werden kann.

Die alte Stable-Distribution (Woody) enthält das Adzapper-Paket nicht.

Für die Stable-Distribution (Sarge) wurde dieses Problem in Version 20050316-1sarge1 behoben.

Für die Unstable-Distribution (Sid) wurde dieses Problem in Version 20060115-1 behoben.

Wir empfehlen Ihnen, Ihr Adzapper-Paket zu aktualisieren.

Behoben in:

Debian GNU/Linux 3.1 (sarge)

Quellcode:
http://security.debian.org/pool/updates/main/a/adzapper/adzapper_20050316-1sarge1.dsc
http://security.debian.org/pool/updates/main/a/adzapper/adzapper_20050316-1sarge1.diff.gz
http://security.debian.org/pool/updates/main/a/adzapper/adzapper_20050316.orig.tar.gz
Architektur-unabhängige Dateien:
http://security.debian.org/pool/updates/main/a/adzapper/adzapper_20050316-1sarge1_all.deb

MD5-Prüfsummen der aufgeführten Dateien stehen in der ursprünglichen Sicherheitsankündigung zur Verfügung.